\name{Benhc}
\alias{Benhc}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Performs bootstrap ensemble hierarchical clustering for categorical data.
}
\description{
This function performs a bootstrap ensemble hierarchical clustering of categorical data,
as described in details below.
%%  ~~ A concise (1-5 lines) description of what the function does. ~~
}
\usage{
Benhc(x, En)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{A nxp data matrix or data frame; n is the number of observations and p is the number of dimensions.}
%%     ~~Describe \code{x} here~~
  \item{En}{Number of clusterings to include in the ensemble, i.e., cardinality of the ensemble.
%%     ~~Describe \code{B} here~~
}
}
\details{
The function 'Benhc' generates a dissimilarity matrix via the bootstrap ensemble. The
ensembled dissimilarity matrix is generated using the same procedure as described for
the function `enhc' except that each clustering is based on a bootstrap sample of the data.
The number of clusters for each clustering is selected randomly from \{2,...,sqrt(n)\}.
}

\references{Amiri, S., Clarke, B., and Clarke, J. (2015). Clustering categorical data via ensembling dissimilarity matrices. arXiv preprint arXiv:1506.07930.
}


%% ~Make other sections like Warning with \section{Warning }{....} ~


\examples{
#data('zoo')
### zoo includes the zoo data downloaded from UCI
### Machine Learning Repository
### Calculate ensemble dissimilarities with 150 ensemble members
#disten<-Benhc(zoo$obs,En=150)
### This function performs a hierarchical cluster analysis using
### dissimilarities obtained by the ensembling procedure in Benhc
#en<-hclust(disten,method='average')
### A plot of the dendrogram can be generated by
#plot(en,label=zoo$lab)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
%\keyword{ ~kwd1 }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
\keyword{lowdimension}
